#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel     1

Name:           kuserfeedback
Version:        1.2.0
Release:        %mkrel %{rel}
Summary:        Framework for collecting user feedback for applications via telemetry and surveys
License:        GPLv2+
Group:          Development/KDE and Qt
Url:            https://kde.org/products/frameworks/
Source0:        https://download.kde.org/stable/%{name}/%{name}-%{version}.tar.xz
BuildRequires:  kf5-macros
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Charts)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Sql)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Widgets)

BuildRequires:  bison
BuildRequires:  flex

%description
Framework for collecting user feedback for applications via telemetry
and surveys.

%files -f userfeedbackconsole5_qt.lang -f userfeedbackprovider5_qt.lang
%{_kf5_datadir}/qlogging-categories5/org_kde_UserFeedback.categories
%{_kf5_bindir}/UserFeedbackConsole
%{_kf5_bindir}/userfeedbackctl
%{_kf5_qmldir}/org/kde/userfeedback/
%{_kf5_applicationsdir}/org.kde.kuserfeedback-console.desktop
%{_kf5_datadir}/KDE/UserFeedbackConsole/
%{_kf5_metainfodir}/org.kde.kuserfeedback-console.appdata.xml
#---------------------------------------------

%define kuserfeedbackcore_major 1
%define libkuserfeedbackcore    %mklibname kuserfeedbackcore %{kuserfeedbackcore_major}

%package -n     %{libkuserfeedbackcore}
Summary:        KUser Feedback Core library
Group:          System/Libraries

%description -n %{libkuserfeedbackcore}
KUser Feedback Core library.

%files -n %{libkuserfeedbackcore}
%{_kf5_libdir}/libKUserFeedbackCore.so.%{kuserfeedbackcore_major}{,.*}

#---------------------------------------------

%define kuserfeedbackwidgets_major 1
%define libkuserfeedbackwidgets %mklibname kuserfeedbackwidgets %{kuserfeedbackwidgets_major}

%package -n     %{libkuserfeedbackwidgets}
Summary:        KUser Feedback Widgets library
Group:          System/Libraries

%description -n %{libkuserfeedbackwidgets}
KUser Feedback Widgets library.

%files -n %{libkuserfeedbackwidgets}
%{_kf5_libdir}/libKUserFeedbackWidgets.so.%{kuserfeedbackwidgets_major}{,.*}

#---------------------------------------------

%define develname %mklibname %{name} -d

%package -n     %{develname}
Summary:        Development package for %{name}
Group:          Development/KDE and Qt
Requires:       %{name} >= %{version}-%{release}
Requires:       %{libkuserfeedbackcore} >= %{version}-%{release}
Requires:       %{libkuserfeedbackwidgets} >= %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
Header files for development with %{name}.

%files -n %{develname}
%{_includedir}/KUserFeedback/
%{_kf5_libdir}/libKUserFeedbackCore.so
%{_kf5_libdir}/libKUserFeedbackWidgets.so
%{_kf5_libdir}/cmake/KUserFeedback/
%{_kf5_mkspecsdir}/qt_KUserFeedbackCore.pri
%{_kf5_mkspecsdir}/qt_KUserFeedbackWidgets.pri

#---------------------------------------------

%prep
%setup -q

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang_kf5 userfeedbackconsole5_qt
%find_lang_kf5 userfeedbackprovider5_qt


%changelog
* Thu Sep 01 2022 papoteur <papoteur> 1.2.0-1.mga9
+ Revision: 1883314
- new 1.2.0

* Tue Apr 05 2022 umeabot <umeabot> 1.0.0-4.mga9
+ Revision: 1844324
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 1.0.0-3.mga8
+ Revision: 1658818
- Rebuild for new Qt5

* Thu Feb 20 2020 umeabot <umeabot> 1.0.0-2.mga8
+ Revision: 1546965
- Mageia 8 Mass Rebuild

* Thu Feb 06 2020 daviddavid <daviddavid> 1.0.0-1.mga8
+ Revision: 1487369
- initial package kuserfeedback

